---
- name: Remove users
  become: true
  ansible.builtin.user:
    name: "{{ item }}"
    state: absent
    remove: true
  loop: "{{ delete_users }}"
  register: remove_users
  ignore_errors: true
  tags:
    - users

- name: Show warning for users that could not be removed
  debug:
    msg: "Could not remove user '{{ item.item }}'. Error: {{ item.msg | default('unknown error') }}"
  loop: "{{ remove_users.results | selectattr('failed', 'equalto', true) | list }}"
  when: remove_users is defined
  tags:
    - users

- name: Stat user /home directories
  ansible.builtin.find:
    paths: /home
    file_type: directory
  register: home_directories
  tags:
    - users
    - CIS-UBUNTU2004-6.2.6
    - M1022

- name: Set user /home directories permission
  become: true
  ansible.builtin.file:
    mode: "0750"
    path: "{{ item.path }}"
  with_items: "{{ home_directories.files }}"
  loop_control:
    label: "{{ item.path }}"
  tags:
    - users
    - CIS-UBUNTU2004-6.2.6
    - M1022
